#!/usr/bin/env python
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from path import Path 
def update_etc_hosts_in_place( ip, host):
    found = False
    ip =str(ip)
    host = str(host)
    filename ="/etc/hosts"
    if (not ip) or (not host):
        return
    with Path(filename).in_place() as (reader, writer):
        for line in reader:
            if not found and line.startswith(ip+'\t'):
                found = True
                line = line.replace(line, ip+'\t'+host+'\n')
            writer.write(line)
            
        if not found:
            line = ip+'\t'+host+'\n'
            writer.write(unicode(line, 'utf-8'))
